<?php

class actionTopicSendReport extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()){ cmsCore::error404(); }
		
        $id = $this->request->get('id');
		$text = $this->request->get('text');

		$thread = $this->model->getForumThreadById($id);
		if (!$thread) { cmsCore::error404(); }

		$category = $this->model->getForumCategory($thread['category_id']);
		if (!$category) { cmsCore::error404(); }

		$mods = array();

		$mods['1'] = 1;

		if (!empty($category['moderators'])) {
			$moderators = cmsModel::yamlToArray($category['moderators']);
			foreach ($moderators as $key => $value) {
				$mods[$value] = 1;
			}
		}

		$this->sendReport($thread, $text, $mods);

		$this->cms_template->renderJSON(array(
            'error' => false
        ));

    }

}
