<?php

class actionTopicCategoryAjax extends cmsAction {

    public function run($id=0){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('category');

        $filter     = array();
        $filter_str = $this->request->get('filter', '');

        if ($filter_str){
            parse_str($filter_str, $filter);
            $this->model->applyGridFilter($grid, $filter);
        }

        $this->model->filterEqual('parent_id', $id);

        $items = $this->model->getForumCategories();
        
        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $items);

        $this->halt();

    }

}
