<?php

class actionTopicMedalEdit extends cmsAction {

    public function run($id){
		
		$errors = false;
		
		$form = $this->getForm('medal');
		
		$is_submitted = $this->request->has('submit');
		
		$item = $old = $this->model->getMedal($id);
        
		if ($is_submitted){
			
            $item = $form->parse($this->request, $is_submitted);

            $errors = $form->validate($this, $item);
			
			if (!$errors){

				$this->model->updateMedal($id, $item);

				cmsUser::addSessionMessage(LANG_TOPIC_MEDAL_UPDATED, 'success');

				$this->redirectToAction('medal');
				
			}
			
			if ($errors){
				
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				
			}
        
		}
		
        return cmsTemplate::getInstance()->render('backend/medal_edit', array(
            'form' => $form,
			'errors' => $errors,
			'item' => $item
        ));

    }

}
