<?php

class actionTopicRankAdd extends cmsAction {

    public function run(){

       	$form = $this->getForm('rank');

        $is_submitted = $this->request->has('submit');

        if ($is_submitted){

            $item = $form->parse($this->request, $is_submitted);

            $errors = $form->validate($this,  $item);

            if (!$errors){

                $this->model->addRank($item);

                cmsUser::addSessionMessage(LANG_TOPIC_RANK_INSERT, 'success');

                $this->redirectToAction('rank');

            }

            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }

        }

        return $this->cms_template->render('backend/rank_add', array(
            'item'  => isset($item) ? $item : false,
            'form'   => $form,
            'errors' => isset($errors) ? $errors : false
        ));

    }

}
