<?php

class actionTopicRankAjax extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('rank');

        $filter     = array();
        $filter_str = $this->request->get('filter', '');

        if ($filter_str){
            parse_str($filter_str, $filter);
            $this->model->applyGridFilter($grid, $filter);
        }

        $items = $this->model->getAllRanks();

        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $items);

        $this->halt();

    }

}
