<?php

class onTopicAdminDashboardChart extends cmsAction {

    public function run(){

        $data = array(
            'id' => 'topic',
            'title' => LANG_TOPIC_CONTROLLER,
            'sections' => array(
                'threads' => array(
                    'title' => LANG_TOPIC_THREADS,
                    'table' => 'topic_threads',
                    'key' => 'date_pub',
                    'filter' => array(
                        array(
                        	'condition' => 'ni',
                        	'field' => 'thread_id'
                        )
                    )
                ),
                'posts' => array(
                    'title' => LANG_TOPIC_A_THREADS,
                    'table' => 'topic_threads',
                    'key' => 'date_pub',
                    'filter' => array(
                        array(
                        	'condition' => 'nn',
                        	'field' => 'thread_id'
                        )
                    )
                ),
            )
        );

        return $data;

    }

}
