<?php

class onTopicFulltextSearch extends cmsAction {

    public function run(){

        $sources['topic_thread'] = LANG_TOPIC_SEARCH_NAME;

        // по каким полям поиск
        $match_fields['topic_thread'] = array('title', 'content');
        // какие поля получать
        $select_fields['topic_thread'] = array('id', 'content', 'title', 'date_pub');
        // из каких таблиц выборка
        $table_names['topic_thread'] = 'topic_threads';

        return array(
            'name'          => $this->name,
            'sources'       => $sources,
            'table_names'   => $table_names,
            'match_fields'  => $match_fields,
            'select_fields' => $select_fields,
            'filters'       => array('topic_thread'=>array()),
            'item_callback' => function($item, $model, $sources_name, $match_fields, $select_fields){

				$item['url'] = href_to('topic', 'thread', $item['id']);
				$item['fields']['content'] = $item['content'];
                $item['image'] = html_image(default_images('forum', 'icon'), 'icon', strip_tags($item['title']));
				
                return $item;

            }
			
        );

    }

}
