<?php

class widgetTopicCategories extends cmsWidget {

    public function run(){

    	cmsCore::loadControllerLanguage('topic');

        $categories = cmsCore::getController('topic')->getForumCategoriesList();
		
		if (!$categories) { return false; }

		$parents = array_collection_to_list($categories, 'id', 'parent_id');

		if (defined('CURRENT_TOPIC_CATEGORY_ID')) {
			$current = CURRENT_TOPIC_CATEGORY_ID;
		}

		return array(
			'categories' => $categories,
			'parents' => $parents,
			'current' => isset($current) ? $current : false
        );

    }

}
