<?php
	$this->addControllerCSS('styles', 'topic');
	$this->addControllerCSS('font-awesome.min', 'topic');
?>

<h1><?php echo LANG_TOPIC_USERS_RANKS; ?></h1>

<p><?php echo LANG_TOPIC_RANKS_ELSE; ?></p>

<p>
	<table class="rank_table">
		<tr>
			<th><?php echo LANG_TOPIC_RANK; ?></th>
			<th><?php echo LANG_TOPIC_RATING; ?></th>
			<th><?php echo LANG_TOPIC_KARMA; ?></th>
			<th><?php echo LANG_TOPIC_THREADS; ?></th>
			<th><?php echo LANG_TOPIC_A_THREADS; ?></th>
			<th><?php echo LANG_TOPIC_A_FRIENDS; ?></th>
			<th><?php echo LANG_TOPIC_BAN; ?></th>
		</tr>
		
		<?php if ($items) { ?>

			<?php foreach ($items as $key => $value) { ?>
				
				<tr>
					<td><?php echo $value['title']; ?></td>
					<td><?php echo empty($value['rating']) ? 0 : $value['rating']; ?></td>
					<td><?php echo empty($value['karma']) ? 0 : $value['karma']; ?></td>
					<td><?php echo empty($value['threads']) ? 0 : $value['threads']; ?></td>
					<td><?php echo empty($value['posts']) ? 0 : $value['posts']; ?></td>
					<td><?php echo empty($value['friends']) ? 0 : $value['friends']; ?></td>
					<td><?php echo empty($value['ban']) ? LANG_TOPIC_NO : LANG_TOPIC_YES; ?></td>
				</tr>

			<?php } ?>			

		<?php } else { ?>

			<tr>
				<td colspan="7"><?php echo LANG_TOPIC_NO_RANKS; ?></td>
			</tr>

		<?php } ?>

	</table>
</p>

<?php if ($online) { ?>
	<p class="users_online_list">
		<?php echo LANG_TOPIC_USERS_IN_FORUMS; ?>: 
		<?php foreach ($online as $key => $users) { ?>
			<span><a href="<?php echo href_to('users', $users['user_id']); ?>"><i class="fa fa-male" aria-hidden="true"></i> <?php echo $users['user_nickname']; ?></a></span>
		<?php } ?>
	</p>
<?php } ?>