<?php

class actionTopicThread extends cmsAction {
	
	public function run($id=false){
		
		if (!$id) { cmsCore::error404(); }
		
		$thread = $this->model->getForumThreadById($id);
		
		if (!$thread) { cmsCore::error404(); }

		$parent_thread = $this->model->getForumThreadById($thread['thread_id']);
		
		if(empty($thread['thread_id'])) {

			$this->redirectToAction($thread['slug'].'.html');

		}

		$this->model->resetFilters();
		$this->model->filterEqual('thread_id', $thread['thread_id']);

		$count = $this->model->getForumThreadsCount($thread['category_id'], 'post', $id);
		
		$page = ceil($count / $this->options['post_perpage']);
		
		$page = $page > 1 ? '?page='.$page : '';
		
		$this->redirectToAction($parent_thread['slug'].'.html'.$page.'#thread_'.$id);

	}
	
}
