<?php

class actionTopicMigrate extends cmsAction {

    public function run(){

    	$category = $this->model->get('forum');

    	if(!$category) { exit('Категорий нет'); }

    	$this->model->resetFilters();

    	$topics = $this->model->get('forum_topic');

    	if($topics) {

    		foreach ($topics as $key => $value) {
    			
    			$id = $this->model->insert('topic_threads', array('user_id'=>$value['user_id'], 'category_id'=>$value['forum_id'], 'slug'=>$value['slug'], 'title'=>$value['title'], 'content'=>$value['content'], 'rating'=>$value['rating'], 'post_counter'=>$value['post_count'], 'date_pub'=>$value['date_pub'], 'date_update'=>$value['last_post'], 'fixed_top'=>$value['is_fix'], 'is_closed'=>$value['close'], 'title_color'=>$value['topic_color'], 'hits_count'=>$value['view_count']));

    			$this->model->resetFilters();

    			$posts = $this->model->filterEqual('topic_id', $value['id'])->get('forum_post');

    			if($posts) {

    				foreach ($posts as $key2 => $value2) {
    					
    					$this->model->insert('topic_threads', array('user_id'=>$value2['user_id'], 'thread_id'=>$id, 'category_id'=>$value2['forum_id'], 'title'=>$value['title'], 'content'=>$value2['content'], 'rating'=>$value2['rating'], 'date_pub'=>$value2['date_pub']));

    				}

    			}

    		}

    	}

    	foreach ($category as $key => $value) {
    		
    		$this->model->insert('topic_categories', array('id'=>$value['id'], 'title'=>$value['title'], 'content'=>$value['desc'], 'slug'=>$value['slug'], 'icon'=>$value['icon'], 'parent_id'=>!empty($value['parent_id']) ? $value['parent_id'] : 0, 'threads'=>1, 'ordering'=>$key, 'groups_add_thread'=>$value['group_write_topic'], 'groups_add_post'=>$value['group_write_post'], 'groups_view'=>$value['group_view'], 'perms'=>$value['group_view'], ));

    		$this->model->resetFilters();
    	
    		//Обновление кол-ва тем в категории
			$this->model->updateForumTopicCount($value['id']);

			$this->model->resetFilters();

			//Обновление последнего сообщения в категории
			$this->model->updateLastMessageInCategory($value['id']);

			$this->model->resetFilters();

			//Обновляем кол-во сообщений в категории
			$this->model->updateForumPostCount($value['id']);

    	}

    	cmsUser::addSessionMessage('Миграция завершена');
        
		$this->redirectToAction('category_reset_perms');

    }

}
