<?php

class onTopicSubscriptionMatchList extends cmsAction {

    public function run($subscription, $items){
    	
        // результирующий список
        $match_list = array();

        if(!empty($subscription['params'][0])) {
        	if($subscription['subject'] == 'thread'){
                $category = $this->model->getForumCategory($subscription['params'][0]['filters']['value']);
            } else if($subscription['subject'] == 'post'){
                $category = $this->model->getForumThreadById($subscription['params'][0]['filters']['value']);
            }
        	if(!isset($category)) {
	            return $match_list;
	        }
        }

        // формируем id записей
        $item_ids = array();
        foreach ($items as $item) {
        	$item_ids[] = $item['id'];
        }

        $this->model->limit(false);
        $this->model->filterIn('id', $item_ids);
       	
        if(isset($category)) {
        	if($subscription['subject'] == 'thread'){
        		$this->model->filterEqual('category_id', $category['id']);
        	} else if($subscription['subject'] == 'post'){
        		$this->model->filterEqual('id', $category['id']);
        	}
        }

        $found_items = $this->model->getAllThreads();
        if($found_items){
            foreach ($found_items as $item) {
                $match_list[] = array(
                    'url'       => href_to_abs($this->name, $item['slug'] . '.html'),
                    'image_src' => '',
                    'title'     => $item['title']
                );
            }
        }

        return $match_list;

    }

}
