<?php

class onTopicUserTabShow extends cmsAction {

    public function run($profile, $tab_name){
		
		$user = cmsUser::getInstance();

		$this->model->resetFilters();

		$categories = $this->getForumCategoriesList();

		$this->model->resetFilters();

		$this->model->filterPermsThread();

	    $page = $this->request->get('page', 1);

	    $this->model->filterEqual('user_id', $profile['id']);

		$total = $this->model->getAllThreadsCount();
		$perpage = $this->options['topic_perpage'];

		$this->model->limitPage($page, $perpage);
	    $this->model->orderBy('date_update', 'desc');

	    $items = $this->model->getAllThreads();

	    $tpl = 'profile_tab_threads';

    	//Пользователи он-лайн
    	$this->model->updateUserOnline( array( 'user_id' => $user->id, 'category_id' => 0 ) );
		
        return $this->cms_template->renderInternal($this, $tpl, array(
            'items' => isset($items) ? $items : false,
			'page' => isset($page) ? $page : false,
			'perpage' => isset($perpage) ? $perpage : false,
			'total' => isset($total) ? $total : false,
			'profile' => $profile,
			'tab_name' => $tab_name,
			'categories' => $categories
        ));

    }

}
