<?php

	$this->addControllerCSS('admin', 'topic');

	$this->setPageTitle(LANG_TOPIC_FORUM_CATEGORIES);
    $this->addBreadcrumb(LANG_TOPIC_FORUM_CATEGORIES, $this->href_to('category'));
	
	$this->addToolButton(array(
        'class' => 'add',
        'title' => LANG_TOPIC_CREATE_CATEGORY,
        'href'  => $this->href_to('category_add', $category['id'])
    ));

	if ($category) {

	    $this->addToolButton(array(
	        'class' => 'edit',
	        'title' => LANG_TOPIC_EDIT_CATEGORY,
	        'href'  => $this->href_to('category_edit', $category['id'])
	    ));

	}

?>

<h2>
	<?php echo LANG_TOPIC_FORUM_CATEGORIES; ?>
	<?php if($category) { ?>
		"<?php echo $category['title']; ?>"
	<?php } ?>
</h2>

<table class="layout">
    <tr>
        <td class="sidebar" valign="top">

            <div class="cats_tree">
                <ul>
                	<li>
                        <a href="<?php echo href_to($this->controller->root_url, 'category'); ?>">
                           	<?php echo LANG_TOPIC_ROOT_CAT; ?>
                        </a>
                    </li>
                    <?php if($items) { ?>
                        <?php foreach($items as $value){ ?>
                            <li style="margin-left:<?php echo $value['level']*10; ?>px;">
                                <a href="<?php echo href_to($this->controller->root_url, 'category', $value['id']); ?>" style="<?php echo $value['id'] != $category['id'] ?: 'font-weight:bold;color:coral;'; ?>">
                                    <?php echo $value['title']; ?>
                                </a>
                            </li>
                        <?php } ?>
                    <?php } ?>
                </ul>
            </div>

        </td>
        <td class="main" valign="top">

            <?php $this->renderGrid($this->href_to('category_ajax', $category['id']), $grid); ?>

			<div class="buttons">
			    <?php echo html_button(LANG_SAVE_ORDER, 'save_button', "icms.datagrid.submit('{$this->href_to('category_reorder')}')"); ?>
			</div>

        </td>
    </tr>
</table>