<?php

	$this->setPageTitle(LANG_TOPIC_MY_THREADS, $profile['nickname']);

    $this->addBreadcrumb( LANG_USERS, href_to( 'users' ) );
	$this->addBreadcrumb( $profile['nickname'], href_to( 'users', $profile['id'] ) );
	$this->addBreadcrumb(LANG_TOPIC_MY_THREADS);

    $this->addControllerCSS('styles', 'topic');
    $this->addCss('templates/default/css/jquery-ui.css');
	$this->addJs('templates/default/js/jquery-ui.js');

?>

<div class="content_datasets">
	<ul class="pills-menu">
		<li class="forums">
			<a href="<?php echo $this->href_to(''); ?>"><?php echo LANG_TOPIC_ALL_FORUMS; ?></a>
		</li>
		<li class="all">
			<a href="<?php echo href_to('topic', 'threads'); ?>"><?php echo LANG_TOPIC_ALL_THREADS; ?></a>
		</li>
		<li class="active my">
			<div><?php echo LANG_TOPIC_MY_THREADS; ?></div>
		</li>
	</ul>
</div>

<?php if($items) { ?>

	<div class="topic_list">

		<?php foreach ($items as $key => $value) { ?>

			<?php $value['thread_sticker'] = $this->controller->getSticker($categories[$value['category_id']]['stickers'], $value['sticker']); ?>
		
			<?php echo $this->renderChild('topic_list_item', array('item' => $value, 'show_category' => true)); ?>

		<?php } ?>

	</div>

	<?php if($total > $perpage) { ?>
		<?php echo html_pagebar($page, $perpage, $total); ?>	
	<?php } ?>

<?php } else { ?>

	<p><?php echo html_spellcount(0, $this->controller->options['thread_names']); ?></p>

<?php } ?>

<script>
    $(function() {
        $('.last_message_icon img').tooltip({
            show: { duration: 0 },
            hide: { duration: 0 },
            position: {
                my: "center+5 top+2",
                at: "center bottom"
            }
        });
    });
</script>